Part Point/it: Difference between revisions

From FreeCAD Documentation
(Created page with "== Script ==")
(Created page with "Vedere anche: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], Script di Part e Script di base per FreeCAD.")
Line 51: Line 51:
== Script ==
== Script ==


See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
Vedere anche: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting/it|Script di Part]] e [[FreeCAD_Scripting_Basics/it|Script di base per FreeCAD]].


A Part Point can be created with the {{Incode|addObject()}} method of the document:
A Part Point can be created with the {{Incode|addObject()}} method of the document:

Revision as of 19:46, 6 January 2024

Part Punto

Posizione nel menu
Parte → Crea primitive → Punto
Ambiente
Part, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Part Primitive

Descrizione

Un Part Punto è un punto parametrico che può essere creato con il comando Part Primitive. Le sue coordinate sono relative al sistema di coordinate definito dalla sua proprietà DatiPlacement.

Utilizzo

Vedere Part Primitive.

Proprietà

Vedere anche: Editor delle proprietà.

Un oggetto Part Punto deriva da un oggetto Part Feature e ne eredita tutte le proprietà. Ha inoltre le seguenti proprietà aggiuntive:

Dati

Attachment

L'oggetto ha le stesse proprietà di collegamento di un Part Part2DObject.

Base

  • DatiX (Distance): la coordinata X del punto. Il valore predefinito è 0mm.
  • DatiY (Distance): la coordinata Y del punto. Il valore predefinito è 0mm.
  • DatiZ (Distance): la coordinata Z del punto. Il valore predefinito è 0mm.

Script

Vedere anche: Autogenerated API documentation, Script di Part e Script di base per FreeCAD.

A Part Point can be created with the addObject() method of the document:

point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Where "myPoint" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3

doc.recompute()